Package org.jbpm.services.task.assignment.impl.strategy

## Class PotentialOwnerBusynessAssignmentStrategy

- java.lang.Object
- - org.jbpm.services.task.assignment.impl.strategy.PotentialOwnerBusynessAssignmentStrategy

- All Implemented Interfaces:
    `org.kie.internal.task.api.assignment.AssignmentStrategy`

      public class PotentialOwnerBusynessAssignmentStrategy
      extends Object
      implements org.kie.internal.task.api.assignment.AssignmentStrategy

  Assignment strategy that assigns tasks to least occupied user from potential owners. Least occupied is based on number of active tasks given user is assigned to - user is actual owner of the task. This strategy requires `GroupResolver` to be able to transform group potential owners into users list only.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `IDENTIFIER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PotentialOwnerBusynessAssignmentStrategy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.task.api.assignment.Assignment` | `apply​(org.kie.api.task.model.Task task, org.kie.api.task.TaskContext context, String excludedUser)` |
    `String` | `getIdentifier()` |
    `protected String` | `getQuery()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.task.api.assignment.AssignmentStrategy

      `taskDone`

- - ### Field Detail

    - #### IDENTIFIER

          public static final String IDENTIFIER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PotentialOwnerBusynessAssignmentStrategy

          public PotentialOwnerBusynessAssignmentStrategy()

  - ### Method Detail

    - #### apply

          public org.kie.internal.task.api.assignment.Assignment apply​(org.kie.api.task.model.Task task,
                                                                       org.kie.api.task.TaskContext context,
                                                                       String excludedUser)

      Specified by:
        `apply` in interface `org.kie.internal.task.api.assignment.AssignmentStrategy`

    - #### getQuery

          protected String getQuery()

    - #### getIdentifier

          public String getIdentifier()

      Specified by:
        `getIdentifier` in interface `org.kie.internal.task.api.assignment.AssignmentStrategy`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`